Bug 148217 - games/armagetron: new option to build only the server
Summary: games/armagetron: new option to build only the server
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sylvio Cesar Teixeira
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-28 19:40 UTC by Quentin Stievenart
Modified: 2010-07-04 15:40 UTC (History)
0 users

See Also:


Attachments
file.diff (15.71 KB, patch)
2010-06-28 19:40 UTC, Quentin Stievenart
no flags Details | Diff
armagetron.diff (16.94 KB, patch)
2010-07-02 19:05 UTC, Quentin Stievenart
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Quentin Stievenart 2010-06-28 19:40:01 UTC
Added an option to allow building the dedicated server only, avoiding all graphics deps.

Fix: See the patch in attachement.

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2010-06-28 19:41:32 UTC
Maintainer of games/armagetron,

Please note that PR ports/148217 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/148217

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-06-28 19:41:34 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Ian Wagner 2010-06-30 12:18:04 UTC
I approve this patch. Definitely a valuable addition to the port.

On Mon, Jun 28, 2010 at 2:41 PM, Edwin Groothuis <edwin@freebsd.org> wrote:

> Maintainer of games/armagetron,
>
> Please note that PR ports/148217 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/148217
>
> --
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
>



-- 
/me had way 2 much caffeine last night :D
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2010-06-30 15:18:54 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 Sylvio Cesar Teixeira freebsd_committer 2010-06-30 19:22:30 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sylvio

I'll take it.
Comment 6 Sylvio César Teixeira Amorim 2010-07-01 12:52:33 UTC
Hi,

Error in plist:

http://people.freebsd.org/~sylvio/armagetron-0.2.8.2.1_4.log

Regards,

Sylvio Cesar
Comment 7 Sylvio Cesar Teixeira freebsd_committer 2010-07-01 12:53:12 UTC
State Changed
From-To: open->feedback

- Waiting fix of submitter.
Comment 8 Quentin Stievenart 2010-07-02 19:05:03 UTC
On Thu, Jul 01, 2010 at 08:52:33AM -0300, Sylvio César wrote:
> Error in plist:
> 
> http://people.freebsd.org/~sylvio/armagetron-0.2.8.2.1_4.log

Fixed, see attachement.
Comment 9 dfilter service freebsd_committer 2010-07-04 15:38:35 UTC
sylvio      2010-07-04 14:38:22 UTC

  FreeBSD ports repository

  Modified files:
    games/armagetron     Makefile pkg-plist 
  Added files:
    games/armagetron/files armagetronad_dedicated.in 
  Log:
  - Added an option to allow building the dedicated server only, avoiding all graphics deps.
  - BUMP PORTREVISION
  
  PR:             ports/148217
  Submitted by:   Quentin Stievenart <acieroid@awesom.eu>
  Approved by:    Maintainer
  Feature safe:   yes
  
  Revision  Changes    Path
  1.18      +17 -7     ports/games/armagetron/Makefile
  1.1       +34 -0     ports/games/armagetron/files/armagetronad_dedicated.in (new)
  1.3       +123 -119  ports/games/armagetron/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 Sylvio Cesar Teixeira freebsd_committer 2010-07-04 15:39:03 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!